import { useLocalSearchParams } from "expo-router";
import { ActivityDescriptionPage } from "../../../../../../../src/screens/activity_description/activity_description_page";

export default function ActivitySelectionScreen() {
    const { activityId, stateId, townId } = useLocalSearchParams<{activityId: string, stateId: string, townId: string}>();
    if (!activityId || !stateId || !townId) {
        throw new Error("activityId, stateId and townId are required");
    }
    
    return (
        <ActivityDescriptionPage activityId={+activityId}/>   
    );
}